Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BulletTickCallbackData Class Reference
Inheritance diagram for BulletTickCallbackData:

## Public Member Functions
| BulletTickCallbackData (btScalar timestep)
virtual TypeHandle | force_init_type ()
PN_stdfloat | get_timestep () const
virtual TypeHandle | get_type () const
Public Member Functions inherited from CallbackData
virtual void | output (std::ostream &out) const
virtual void | upcall ()
| You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback.
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from CallbackData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Public Attributes
| get_timestep
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 26 of file bulletTickCallbackData.h.

## Constructor & Destructor Documentation

## ◆ BulletTickCallbackData()

BulletTickCallbackData::BulletTickCallbackData | ( | btScalar | timestep | ) |
| inline

Definition at line 17 of file bulletTickCallbackData.I.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle BulletTickCallbackData::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from CallbackData.

Definition at line 50 of file bulletTickCallbackData.h.

## ◆ get_class_type()

static TypeHandle BulletTickCallbackData::get_class_type | ( |  | ) |
| inline static

Definition at line 39 of file bulletTickCallbackData.h.

## ◆ get_type()

virtual TypeHandle BulletTickCallbackData::get_type | ( |  | ) | const
| inline virtual

Reimplemented from CallbackData.

Definition at line 47 of file bulletTickCallbackData.h.

## ◆ init_type()

static void BulletTickCallbackData::init_type | ( |  | ) |
| inline static

Definition at line 42 of file bulletTickCallbackData.h.

## Member Data Documentation

## ◆ get_timestep

PN_stdfloat BulletTickCallbackData::get_timestep
| inline

Definition at line 33 of file bulletTickCallbackData.h.

The documentation for this class was generated from the following files:

- panda/src/bullet/bulletTickCallbackData.h
- panda/src/bullet/bulletTickCallbackData.cxx
- panda/src/bullet/bulletTickCallbackData.I